import request from '@/utils/request'

// 查询做大做强奖详情列表
export function listBigStrongAward(query) {
  return request({
    url: '/system/bigStrongAward/list',
    method: 'get',
    params: query
  })
}

// 查询做大做强奖详情详细
export function getBigStrongAward(id) {
  return request({
    url: '/system/bigStrongAward/' + id,
    method: 'get'
  })
}

// 新增做大做强奖详情
export function addBigStrongAward(data) {
  return request({
    url: '/system/bigStrongAward',
    method: 'post',
    data: data
  })
}

// 修改做大做强奖详情
export function updateBigStrongAward(data) {
  return request({
    url: '/system/bigStrongAward',
    method: 'put',
    data: data
  })
}

// 删除做大做强奖详情
export function delBigStrongAward(id) {
  return request({
    url: '/system/bigStrongAward/' + id,
    method: 'delete'
  })
}
